<?php

require_once("..\collections\Collections.inc");

class Chapter{

	var	$id;
	var	$sections;
	
	function Chapter( $id )
	{
		$this->id = $id;
		$this->sections = array();
	}
	
	function AddSection( $section )
	{
		if ( ! Collections::Find( $this->sections, $section) )
			$this->sections  [] = $section;
	}
	
	function RemoveSection( $section )
	{
		Collections::Remove ( $this->sections, $section );
	}
		
	function __toString() 
	{
		$s = "Chapitre : $this->id <ul>";
		$i = 0;	
		foreach ( $this->sections as $section ) 
		{
			$s .= "<li>" . $section . "</li>";
			$i ++;
		}
		$s .= "</ul>";
		return $s ;
	}	
}

?>