<?php

require_once("..\collections\Collections.inc");

class Program{

	var	$id;
	var	$chapters;
	
	function Program( $id )
	{
		$this->id = $id;
		$this->chapters = array();
	}
	/*
	le paramtre doit tre pass sous forme de Chapter
	*/
	function AddChapter( $chapter )
	{
		if ( ! Collections::Find( $this->chapters, $chapter ) )
			$this->chapters  [] = $chapter;
	}
	
	function RemoveChapter( $chapter )
	{
		Collections::Remove ( $this->chapters, $chapter );
	}
		
	function __toString() 
	{
		$s = "$this->id <ul>";
		$i = 0;	
		foreach ( $this->chapters as $chapter) 
		{
			$s .= "<li>" . $chapter->__toString() . "</li>";	
			$i ++;
		}
		$s .= "</ul>";
		return $s ;
	}	
}

?>