<?php

	require_once("../data/CourseDescriptionFactory.inc");
	$id = $_GET["id"];
	$course = CourseDescriptionFactory::getCourseDescription( $id );
	
?>
<html>
  <head>
    <title>Catalog</title>
    <link rel="stylesheet" href="styles.css" />
  </head>
  
  <body >
	<p style="width:100%;background-color:#B9CDDA"><img src="images/logo.gif"/></p>
    
    <h2>
      <strong>Description :</strong>
      <?php echo  $course->code ?>
    </h2>
    
    <p>
      <strong>Titre :</strong>
      <?php echo  $course->title ?>
    </p>
    
    <p>
      <strong>Ce cours est destin aux :</strong>
      <?php echo  $course->audience ?>
    </p>
    
    <p> 
      <strong> Objectifs : </strong> 
      <ul>
<?php
	foreach( $course->objectives as $objective )
		echo("<li>" . $objective . "</li>" );	
?>      
      </ul>
    </p>
    
    <p> 
      <strong> Outils : </strong> 
      <ul>
<?php
	foreach( $course->tools as $tool )
		echo("<li>" . $tool . "</li>" );	
?>      
      </ul>
    </p>
    
    <p> 
      <strong> Programme : </strong> 
      <ul>
<?php
	foreach( $course->program->chapters as $chapter )
		echo("<li>" . $chapter->id . "</li>" );	
?>      

      </ul>
    </p>		

    <p>
      <a  href="index.html"> 
	Retour  la page d'accueil
      </a>
    </p>
    
  </body>
</html>
