<?php

require_once("Program.inc");
require_once("..\collections\Collections.inc");

class CourseDescription{
	var	$id;
	var	$title;
	var	$code;
	var	$duration;
	var	$audience;
	var	$objectives;
	var	$tools;
	var	$program;

	function CourseDescription( $title, $code, 
		$duration, $audience)
	{
		$this->title = $title;
		$this->code =$code;
		$this->duration =$duration;
		$this->audience = $audience;
		
		$this->tools = array();
		$this->objectives = array();
	}

	function AddObjective(  $objective )
	{
		if ( Collections::Find(  $this->objectives, $objective ) == false )
			$this->objectives [] = $objective;	
	}
	function RemoveObjective( $objective)
	{
		Collections::Remove ( $this->objectives, $objective );
	}

	function AddTool(  $tool  )
	{
		if ( Collections::Find(  $this->tools, $tool ) == false )		
			$this->tools [] = $tool;	
	}	
	function RemoveTool( $tool )
	{
		Collections::Remove ( $this->tools, $tool );
	}
	
	function __toString()
	{
		$s = "Titre : $this->title, code : $this->code 
			dure : $this->duration, audience : $this->audience";
		
		if ( $this->program != NULL ){
			$program = $this->program->__toString();
			if ( $program != NULL )
				$s .= ", programme :" .	$program;
		}
		return $s;
	}

}

?>
