<?php

require_once ("../business/Chapter.inc");
require_once ("BusinessObjectFactory.inc");
require_once ("StringFactory.inc");

class ChapterFactory extends BusinessObjectFactory
{
	var $sectionsfactory;
	
	function __construct(  $tablename, $idname)	
	{
		parent::__construct( $tablename, $idname);
		$this->sectionsfactory = new StringFactory( "sections", "Id", "Name","ChapterId");		
	}
	
	function  CreateObjectFromRow($obj)
	{
		$c = new Chapter( $obj->Name);
		$c->id = $obj->Id;
		return $c;
	}

	// le passage par rfrence est important pour bien modifier l'objet initial
	// dont on met  jour l'id
	function Create( & $chapter, $program )
	{
		$this->ExecuteUpdate("INSERT INTO $this->tablename 
			(Name,ProgramId) VALUES ('$chapter->name'," . ( $program==NULL ? "'NULL'" : $program->id ) .");" );
		$chapter->id = mysql_insert_id();
		// create dependant objects
		$this->CreateSections( $chapter );
	}
	private function CreateSections( $chapter )
	{
		if ( $chapter->sections  != NULL )
			foreach( $chapter->sections as $section)
				$this->sectionsfactory->ExecuteUpdate("INSERT INTO SECTIONS (Name,ChapterId) VALUES ('$section'," . ( $chapter->id==NULL ? "'NULL'": $chapter->id ) . ");");
	}
	function DeleteDependantObjects( $chapter )
	{		
		$this->sectionsfactory->DeleteByParentId( $chapter->id );
	}	
	
	function Update( $chapter )
	{
		$this->ExecuteUpdate("UPDATE CHAPTERS SET Name = '$chapter->name' WHERE Id = $chapter->id ;");		
		// Effacer les anciennes sections,
		// au cas o elles ne sont plus  jour
		$this->sectionsfactory->DeleteByParentId( $chapter->id );
		// Ecrire les nouvelles sections -  jour
		$this->CreateSections( $chapter );		
	}
}

?>
