<?php

class CourseDescriptionFormValidator{

	var $fields = 	array("code", "title", "audience","duration" );

	var $isvalid;
	var $isnew;	
	var $errors;
	var $request;
	
	function CourseDescriptionFormValidator( $request)
	{
			$this->request = $request ;
			$this->errors = array();
	}
	
	function Clear()
	{
		$this->request = NULL;
	}
	
	function GetValue( $field )
	{
		if ( $this->request  != NULL 
				&& array_key_exists( $field , $this->request ) 
			)
			return $this->request[ $field ];
		else
			return NULL;
	}
	
	function IsNew()
	{
		return $this->isnew;
	}
		
	function IsValid()
	{
		return $this->isvalid;
	}
	
	function GetError( $field )
	{	
		if ( $this->errors != NULL
		 && array_key_exists( $field, $this->errors ) )
			return $this->errors[ $field ];
		else
			return NULL;
	}
	
	function Validate()
	{
		unset ( $errors );
		//echo( gettype( $this->request . "<br>" . $this->request ) );
		foreach ( $this->fields as $field ){
			if ( ! array_key_exists($field,$this->request) ){
				$this->isnew = true;
				$this->isvalid = true;	
				return;
			}
		}
		/*
		if ( ! array_key_exists("code",$this->request) || 
		 ! array_key_exists("title",$this->request) || 
		! array_key_exists("audience",$this->request) ||
		! array_key_exists("duration",$this->request) )
		{
			$this->isnew = true;
			$this->isvalid = true;	
			return;
		}*/
		$this->isnew = false;
		$this->isvalid = true;	
		
		foreach( $this->fields as $field ){
			if ( $this->request[ $field ] == "" ){
				$this->isvalid = false;				
				$this->errors[ $field ] = "<SPAN style='color:red'>Le champ devrait tre renseign</SPAN>" ;
			}
		}
	}
}

?>