<?php

require_once("TestChapterFactory.inc");
require_once("TestProgramFactory.inc");
require_once("TestCourseDescriptionFactory.inc");
require_once("TestCourseDescription.inc");
require_once("TestProgram.inc");
require_once("TestChapter.inc");

function mon_assert_handler ($file, $line, $code)
{    echo "<hr>Assertion Failed:        File '$file'<br>        Line '$line'<br>        
Code '$code'<br><hr>";
}

echo "Tous les tests (pas de nouvelles, bonne nouvelle)<br>\n";

// Setup des assertions
//  partir de php 4
assert_options (ASSERT_ACTIVE, 1);
assert_options (ASSERT_WARNING, 0);
assert_options (ASSERT_QUIET_EVAL, 1);
assert_options (ASSERT_CALLBACK, 'mon_assert_handler');


TestChapter();

TestProgram();

TestCourseDescription();

TestChapterFactory();
TestProgramFactory();
TestCourseDescriptionFactory();
?>