<?php
	require_once("../data/CourseDescriptionFactory.inc");
	require_once("../business/ShoppingCart.inc");
	
	$shoppingCart = ShoppingCart::GetCurrentShoppingCart();
	
	$id = $_GET["id"];
	$action = $_GET["action"];	
	
	$cdf = new CourseDescriptionFactory("coursedescriptions","Id");
	$course = $cdf->GetObjectById( $id );
	
	if ( $action == "enlever" ){
		$shoppingCart->RemoveCourseDescription( $course );		
	}else{
		// action == "ajouter"
		$shoppingCart->AddCourseDescription( $course );
	}	
	
	$courses = $shoppingCart->coursedescriptions;
?>
<html>
  <head>
    <title>Contenu du chariot</title>
    <link rel="stylesheet" href="styles.css" />
  </head>
  
  <body >
	<?php include("header.html")?>
  	<h2>Contenu du chariot</h2>
	<?php
		if ( count ( $courses ) == 0 ){
			echo "Aucun cours dans le chariot<br>";
		}else{
	?>
    <table cellspacing=0 cellpadding=10 >
      <tr>
			<th> Code </th>
			<th> Titre </th>
			<th> Dure </th>
			<th> Voir la description </th>
			<th> Retirer du chariot </th>
      </tr>
      <?php
      	$i=0;
      	foreach( $courses as $course ){
      		if ( $i++ % 2 == 0)
      			echo "<tr style='background:C0C0F0'>";
      		else
      			echo "<tr style='background:FFFFFF'>";
      ?>
			<td align="center"><?php echo  $course->code   ?></td>
			<td><?php echo  $course->title   ?></td>
			<td align="center"><?php echo  $course->duration ?></td>    
			<td align="center"> 
			  <a href="pageCourseDescription.php?id=<?php echo  $course->id ?>">Description
			  </a> 
			</td>				 
			<td align="center"> 
			  <a href="AddCourseToShoppingCart.php?id=<?php echo  $course->id ?>&action=enlever"> 
			    <img border="0" src="images/annuler.gif"/>Retirer
			  </a> 
			</td>				 	
			 				
      </tr>
      <?php
      	} // fin du foreach
      ?>      
    </table>
	<?php
	}	// fin du else
	?>

	<?php include("footer.html"); ?>      
	
  </body>
</html>
