<?php

require_once("..\collections\Collections.inc");

class Chapter{

	var	$id;
	var	$sections;
	var	$name;
	
	function Chapter( $name )
	{
		$this->name = $name;
		$this->sections = array();
	}
	
	function AddSection( $section )
	{
		if ( ! Collections::Find( $this->sections, $section) )
			$this->sections  [] = $section;
	}
	
	function RemoveSection( $section )
	{
		Collections::Remove ( $this->sections, $section );
	}
		
	function __toString() 
	{
		$s = "Chapitre : $this->name ( id : $this->id ) <ul>";
		$i = 0;	
		if ( $this->sections != NULL ){
			foreach ( $this->sections as $section ) 
			{
				$s .= "<li>" . $section . "</li>";
				$i ++;
			}
		}
		$s .= "</ul>";
		return $s ;
	}	
}

?>