<?php
    require_once("CourseDescriptionFormValidator.inc");
    require_once("..\business\CourseDescription.inc");
    require_once("..\data\CourseDescriptionFactory.inc");
    
    $cdfv = new CourseDescriptionFormValidator( $_REQUEST );
    $cdfv->Validate();
?>

<?php
    if ( ! $cdfv->IsNew() && $cdfv->IsValid() )
    {
        $course = new CourseDescription( $cdfv->GetValue("title") ,
                                                    $cdfv->GetValue("code") ,
                                                    $cdfv->GetValue("duration") ,
                                                    $cdfv->GetValue("audience") );
                                                    
        $cdf = new CourseDescriptionFactory("coursedescriptions", "Id" );
        $cdf->Create( $course );
        
        echo("L'insertion du cours en base a eu lieu <hr>" );
        $cdfv->Clear();				
    }
?>
<!-- le form est renvoy sur lui mme si action n'est pas prcis-->
<!-- Pas mal de faire un formulaire en GET pour le dbogage : 
les params sont visibles
En fonctionnel, il faudrait faire du POST car la requte n'est pas idempotent -->
<form method="post">
    <table>
        <tr>
            <td>Code</td>
            <td>
                <input type="text" name="code" value="<?php echo  $cdfv->GetValue('code') ?>" >
            </td>
            <td>
                <?php echo  $cdfv->GetError('code') ?>
            </td>
        </tr>
        <tr>
            <td>Titre</td>
            <td>
                <?php
                // Cette syntaxe est peut tre plus claire que la prcdente
                echo("<input type='text' name='title' value='" . $cdfv->GetValue('title') ."' >");
                ?>
            </td>
            <td>
                <?php echo  $cdfv->GetError('title') ?>
            </td>
            
        </tr>
        <tr>
            <td>Audience</td>
            <td>
                <?php
                echo("<input type='text' name='audience' value='" . $cdfv->GetValue('audience') ."' >");
                ?>
            </td>
            <td>
                <?php echo  $cdfv->GetError('audience') ?>
            </td>
            
        </tr>
        <tr>
            <td>Dure</td>
            <td>
                <?php
                echo("<input type='text' name='duration' value='" . $cdfv->GetValue('duration') ."' >");
                ?>
            </td>
            <td>
                <?php echo  $cdfv->GetError('duration') ?>
            </td>
        </tr>				
        <tr>
            <td colspan=2 align=right>
                <input type="submit" value="Ajouter le cours">
            </td>
        </tr>							
    </table>
</form>