<?php 

require_once ("Connection.inc");

abstract class BusinessObjectFactory {
	var $tablename;
	var $idname; // nom de la colonne contenant les identifiants
  
	protected function __construct( $tablename, $idname)
	{
		$this->tablename = $tablename;
		$this->idname = $idname;
	}
	
	// mthode destine  tre redfinie dans les classes drives 
	// ( cf design pattern patron de mthode )
	// Instancie un objet PHP  partir d'une ligne SQL
	protected abstract function  CreateObjectFromRow($obj);

	// retourne un tableau d'objets correspondant  la requte passe
	protected function  ExecuteMultipleQuery( $request )
	{
    $cnx = Connection::GetSingleton();
//		echo "Request : $request <br>";
		$result = mysql_query($request , $cnx->cnx);
		//echo("Result : $result <br>");
		$tab = null;
		while ($obj = mysql_fetch_object($result)) {
			$o = $this->CreateObjectFromRow( $obj );
			$tab [] = $o;
		}
		mysql_free_result($result);
		return $tab;
	}

	// retourne un seul objet correspondant  la requte passe
	protected function  ExecuteSingleQuery( $request )
	{
		$cnx = Connection::GetSingleton();
		//echo "Request : $request <br>";
		$result = mysql_query($request , $cnx->cnx);
		//echo("Result : $result <br>");
		$o = null;
		if ($obj = mysql_fetch_object($result)) {
			$o = $this->CreateObjectFromRow( $obj );
		}
		mysql_free_result($result);
		return $o;
	}

	protected function  ExecuteUpdate( $request )
	{
		$cnx = Connection::GetSingleton();
		//echo "<br>" . $request . "<br>";    
		mysql_query($request , $cnx->cnx);
		$nbRows = mysql_affected_rows();
		return $nbRows;
	}
  
  	// to be overriden appropriately
  	// object will have its children deleted
	function DeleteDependantObjects( $parent )
	{
		
	}
	function Delete( $object )
	{
		if ( $object != NULL){
			// delete dependant objects
			$this->DeleteDependantObjects( $object );
	
			$id = null;
			// Itration sur les proprits de l'objet	
			foreach ( $object as $key => $value ){
				if ( strcasecmp( $key, $this->idname) == 0 ){
					$id = $value;
					break;
				}
			}
			/*
			$rf = new ReflectionClass(gettype($object));
			$rf->getfield($this->idname);*/
			$this->ExecuteUpdate( "DELETE FROM $this->tablename WHERE Id = $id; ");
		}
	}  
		
	// Retourne tous les objets de la table
	function GetAllObjects()
	{
		return 	$this->ExecuteMultipleQuery( "SELECT * FROM $this->tablename ;");
	}

	// Retourne un seul objet, slectionn par son identifiant
	function GetObjectById( $id )
	{
		return 	$this->ExecuteSingleQuery( "SELECT * FROM $this->tablename WHERE $this->idname = $id");		
	}
	
}
?>