<?php
  function generate_select($nomControle, $valeursControles){ 
          echo "<select name='$nomControle'>";
          
          // $selectedValue est la valeur slectionne par l'utilisateur 
          // dans sa prcdente requte
          if ( array_key_exists( $nomControle , $_REQUEST) )
            $selectedValue = $_REQUEST[$nomControle];
          else 
            $selectedValue = "";
          // On boucle sur toutes les valeurs du select  afficher
          foreach( $valeursControles as $valeur)
          {
            // on injecte le "selected" si il s'agit de la valeur 
            // prcdemment slectionne
            if ( $selectedValue === $valeur )
              $selected = "selected";
            else
              $selected = "";
            echo "<option $selected>$valeur</option>";
          }
          echo "</select>";          
  }

  function affiche_erreur( $param, $errors )
  {
    // rutilisation de la var 
    // globale $errors plutt que utilisation 
    // d'une var. locale fraichement cre
    //global $errors;
    if ( array_key_exists( $param, $errors) )
      return "<span style='color:red'>" . $errors[$param] . "</span>";
    else
      return "";
  }
?>
<html>
  <head>
    <title>Formulaire d'insertion de Description de cours</title>
    <link rel="stylesheet" href="styles.css" />
  </head>
  <body >
  <h2>Formulaire d'insertion de description de cours</h2>
  
  <!-- Le formulaire devrait tre en poste, car insrer un nouveau cours
        dans la base doit tre l'objet d'un remplissage de formulaire en entier
        par l'utilisateur
        Mais le formulaire va tre "GET" pour le debogage le temps du dvelopement 
  -->
  <form method="GET" action="ControleurNouveauCours.php" >
    <table>
      <tr>
       <td>Code : </td><td><input type="text" name="code" value="<?= $_REQUEST["code"] ?>"> </td>
       <td><?= affiche_erreur("code", $errors) ?></td>  
      </tr>
       
      <tr>
       <td>Titre : </td><td><input type="text" name="titre" value="<?= $_REQUEST["titre"] ?>"> </td>
       <td><?= affiche_erreur("titre", $errors) ?></td>
      </tr>
      <tr><td>Audience : </td>
       <td>
       <? generate_select("audience", array("Graphiste","Dveloppeur", "Architecte" ) ) ?>
       </td>
      </tr>
      <tr>
       <td>Dure : </td><td><input type="text" name="nbJours" value="<?= $_REQUEST["nbJours"] ?>"> </td>
       <td><?= affiche_erreur("nbJours", $errors) ?></td>
      </tr>
      <tr><td colspan="2" ><input type="submit"> </td></tr>
    </table>
  </form>
  </body>
</html>
