<?php

require_once("../business/CourseDescription.inc");

// Cette classe simule l'accs  la base de donnes
// Ici cette classe, contrairement  CourseDescription ne sert pas  agrger des attributs
// Cette classe est un "espace de nommage" ( bibliothque ) de fonctions. Voir (*)
class CourseDescriptionFactory
{
    // Cette mthode permettra de retrouver un objet par sa cl primaire
	static function getCourseDescription( $id )
	{
        // (*) la mthode est appelle sur la classe ( CourseDescriptionFactory:: )
        // et non sur un objet ( $c-> )
		$tab = CourseDescriptionFactory::getAllCourseDescriptions() ;
		return $tab[$id] ;
	}
	    // Cette mthode permettra de retrouver tous les cours dans la DB
	static function getAllCourseDescriptions(  )
	{
        // $result est un tableau vide pour l'instant
		$result = array();
        // $result [] = ... : on ajoute  la fin du tableau un cours						 
		$result ["ECOD"] = new CourseDescription("Essentiel de C++", "ECOD", 5,"Dveloppeurs" ); 
        $result ["AMP"] = new CourseDescription("Apache MySQL PHP", "AMP", 3,"Dveloppeurs" ); 
        $result ["HWEB"] = new CourseDescription("Technos du web", "HWEB", 3,"Dveloppeurs" ); 
		return $result;
	}	
}

?>
