<?php

require_once("../business/CourseDescription.inc");
require_once("../business/Chapter.inc");

class CourseDescriptionFactory
{
	function getCourseDescription( $id )
	{
		$coursedesc = new CourseDescription("Essentiel de C++", "ECOD", 5,"Dveloppeurs" ); 

		$coursedesc->id = $id;

		$coursedesc->AddObjective("Connaitre C++");			
		$coursedesc->AddObjective("Connatre les bases d'UML");			
		$coursedesc->AddTool("Visual C++");

		$program = new Program("ECOD");
		$c1 =  new Chapter('Syntaxe du C++') ;							
		$c1->AddSection( "Sec 1.1");
		$c1->AddSection( "Sec 1.2");
		$c1->AddSection( "Sec 1.3");				
		$program->AddChapter( $c1 );	
		
		$c2 = new Chapter('Diagrammes UML') ;
		$c2->AddSection( "Sec 2.1");
		$c2->AddSection( "Sec 2.2");
		$c2->AddSection( "Sec 2.3");		
		$program->AddChapter( $c2 );
		
		$c3 = new Chapter('Conception oriente objet');
		$c3->AddSection( "Sec 3.1");
		$c3->AddSection( "Sec 3.2");
		$c3->AddSection( "Sec 3.3");		
		$program->AddChapter( $c3 );
		
		$coursedesc->program = $program;

		return $coursedesc;
	}
	
	function getAllCourseDescription(  )
	{
		$result = array();
						 
		$result [] = CourseDescriptionFactory::getCourseDescription("ECOD");
		return $result;
	}	
	
}

?>