<?php

require_once ("../business/Program.inc");
require_once ("ChapterFactory.inc");
require_once ("BusinessObjectFactory.inc");

class ProgramFactory extends BusinessObjectFactory
{
	var $chapterfactory;
	
	function __construct(  $tablename, $idname)	
	{
		parent::__construct( $tablename, $idname);
		$this->chapterfactory = new ChapterFactory("Chapters", "Id" );
	}
	
	function  CreateObjectFromRow($obj)
	{
		$p = new Program( $obj->Name);
		$p->id = $obj->Id;
		$p->chapters = $this->chapterfactory->ExecuteMultipleQuery("SELECT * FROM Chapters WHERE Id = $p->id;");
		//echo "Les chapitres: $p->chapters, " . count($p->chapters) ;		
		return $p;
	}

	function Create( & $program, $course )
	{
		$this->ExecuteUpdate( "INSERT INTO $this->tablename (Name,CourseId) 
			VALUES ('$program->name'," . ( $course == NULL ? "'NULL'" : $course->id ) . ");");
		$program->id = mysql_insert_id();
		// create dependant objects		
		$this->CreateChapters( $program );
	}
	
	private function CreateChapters( $program )
	{
		if ( $program->chapters != NULL)
			foreach( $program->chapters as $chapter ){
				$this->chapterfactory->Create($chapter, $program );
			}				
	}
	function DeleteDependantObjects( $program )
	{
		if ( $program != NULL && $program->chapters  != NULL)
			foreach( $program->chapters as $chapter )
				$this->chapterfactory->Delete($chapter);
	}	
	
	function Update( $program )
	{
		$this->ExecuteUpdate("UPDATE PROGRAMS SET Name = '$program->name' WHERE Id = $chapter->id ;");
		$this->DeleteDependantObjects( $program );
		$this->CreateChapters( $program );		
	}
}

?>
