<?php

require_once("../data/CourseDescriptionFactory.inc");

function TestCourseDescriptionFactory()
{
	echo( '<hr> Test de la classe \'CourseDescriptionFactory\'<br>' );		
	$cdf = new CourseDescriptionFactory("coursedescriptions", "Id");
	/*
	$coursedesc = $cdf->GetObjectById("ECOD");
	echo( $coursedesc->RaToHTML() );
	*/
	$tab = $cdf->GetAllObjects();
	if ( $tab != NULL ){	
		echo( "<ul>");
		foreach( $tab as $coursedesc ){
			echo( "<li>" . $coursedesc->__toString() . "</li>");
		}
	}
	$count1 = count ( $tab );
	echo( "</ul>");
	
	$coursedesc = new CourseDescription("Essentiel de Java", "Jod", 5,"Dveloppeurs" );

	$coursedesc->AddObjective("Connaitre Java");	
	$coursedesc->AddObjective("Concevoir avec UML");
	$coursedesc->AddTool("JBuilder");
	$coursedesc->AddTool("Eclipse");
	
	$program = new Program( "Programme de JOD");
	$coursedesc->program = $program ;
	
	$ch1 = new Chapter("Java");
	$ch1->AddSection("Java 1/2");
	$ch1->AddSection("Java 2/2");	
	$ch2 = new Chapter("UML");	
	$ch2->AddSection("UML 1/2");
	$ch2->AddSection("UML 2/2");		
	$program->AddChapter( $ch1 );
	$program->AddChapter( $ch2 );	
	
	$cdf->Create( $coursedesc );
	
	$count2 = count( $cdf->GetAllObjects() );
	assert( $count2 == $count1 +1 );
	$coursedesc->title = "JOD";
	$cdf->Update( $coursedesc );

	/*	
	$cdf->Delete( $coursedesc );
	$count3 = count( $cdf->GetAllObjects() );
	assert( $count3 == $count1 );
	*/
}
?>