<?php
	include_once("fpdf/fpdf.php");
	
class BasicCourseDescription extends FPDF
{

	
	public function __construct(   )
	{
		parent::__construct('Portrait','mm','A4');
	}
	
	//En-tte
	function Header()
	{
	
	    //Logo x, y, width ( par dfaut 72 dpi )
	    // attention, ne marche pas avec les gif
	    //$this->Image('images/logo.jpg',10,8,33);
	    //Police Arial gras 15
	    $this->SetFont('Arial','B',10);
	    //Dcalage  droite
	    $this->Cell(80);
	
	    $title = "Cours FreePDF";
	    $width = $this->GetStringWidth($title);
	    $this->SetFillColor(255,255,255);
	    //Titre width, height, text, border (0 | 1), 
	    // puis continuer 0 :  droite, 1 : au dbut de la ligne suivante, 2 : en dessous 
	    // 'C' pour centrer
	    $this->Cell($width*12/10, 10,$title,0,0,'C',1);
	    //Saut de ligne de 20
	    $this->Ln(20);
	}
	
	//Pied de page
	function Footer()
	{
	    //Positionnement  1,5 cm du bas
	    $this->SetY(-15);
	    //Police Arial italique 8
	    $this->SetFont('Arial','I',8);
	    //Numro de page
	    $this->Cell(0,10,'Page '.$this->PageNo(). '/ nb',0,0,'C');
	}
	
}
//peut tre ncessaire sous certains environnements
Header ("Content-Type: application/pdf");

//Instanciation de la classe drive
$pdf=new BasicCourseDescription ( );
// dfinit un alias 'nb' par dfaut pour les pages
$pdf->AliasNbPages('nb');
$pdf->AddPage();
$pdf->Output();	
?>