<?php
require_once("Image/Graph.php");

// Statistics calculation : how many courses last 1, 2, 3... days ?
//$labels = array(1, 2, 3, 4, 5);
$stats = array(1=>2, 2=>3, 3=>1, 4=>5, 5=>10);
/*
require_once("../data/CourseDescriptionFactory.inc");
$cdFactory = new CourseDescriptionFactory();
$cds = $cdFactory->getAllCourseDescriptions();
foreach($cds as $cd){
  $stats[$cd->duration]++;
}
*/
$labels = array_keys($stats);
$data = array_values($stats);

// Image generation 

// Global settings
$defaultFonts = array("fontFile" => "verdana", 
		      "fontSize" => 12, "color" => array(0,0,0) );
$graph = new Image_Graph (450, 250);
//$graph->setBackgroundColor(array(200, 200, 200));
//$graph->setDefaultFontOptions($defaultFonts);

// Titles
/*
$graph->diagramTitle->setText("Course catalog statistics");
$graph->axisX->title->setText ("Days");
$graph->axisY0->title->setText ("Courses");
*/
// Margins
/*
$graph->diagramTitle->setSpacer (array("bottom" => 10));
$graph->axisX->title->setSpacer (array("top" => 5));
$graph->axisY0->title->setSpacer (array("right" => 10));
*/
// Axis 
/*$unitFonts = array("fontSize" => 8);
$graph->axisX->setFontOptions($unitFonts);
$graph->axisY0->setFontOptions($unitFonts);
$graph->axisX->setTickSize (5);
$graph->axisY0->setTickSize (5);
$graph->axisX->setNumberformat ("%.0f");
$graph->axisY0->setNumberformat ("%.1f");

$graph->axisX->setLabels($labels);
*/
// "line" or "bar" chart 
$dataObj = &$graph->addData($data, "bar", array("axisId" => 0));

$dataObj->setFill("gradient", array("color" => array("#F48080@0.6", "#CC2929@0.6", "#00FF00")));

$image = $graph->getGDImage();
Header ("Content-Type: image/png");
imagepng($image);
?>